For the complete documentation index, see llms.txt. This page is also available as Markdown.

Messages

Send and retrieve WhatsApp messages and conversation history.

send wa message

post
/messages/whatsapp

Send a free-form WhatsApp message to a contact. Only available within the 24-hour customer service window.

Authorizations
api_keystringRequired

Your Cekat API key. Obtain this by calling POST /register or from your Cekat dashboard under Settings → API.

Body
conversation_idstringOptional

UUID of the conversation to retrieve messages from.

receiverstringOptional

The receiver value.

messagestringOptional

Message content to send.

Example: Haloooo bales dari api
media_typestringOptional

The media type value.

Example: location
headerobjectOptional

The header value.

Responses
200

Successful response

No content

post/messages/whatsapp
POST /messages/whatsapp HTTP/1.1
Host: api.cekat.ai
api_key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 332

{
  "conversation_id": "",
  "receiver": "",
  "message": "Haloooo bales dari api",
  "media_type": "location",
  "location": {
    "latitude": "-6.2664324",
    "longitude": "106.5917695",
    "name": "Namam lokasi",
    "address": "addresss lokasi"
  },
  "header": {},
  "action": {
    "name": "interactive_button",
    "parameters": {
      "display_text": "Chat Cust Service 12222",
      "url": "test url"
    }
  }
}

No content

get messages

get
/messages

Retrieve all messages in a specific conversation.

Authorizations
api_keystringRequired

Your Cekat API key. Obtain this by calling POST /register or from your Cekat dashboard under Settings → API.

Query parameters
conversation_idstringOptional

UUID of the conversation to retrieve messages from.

Responses
200

Successful response

No content

get/messages
GET /messages HTTP/1.1
Host: api.cekat.ai
api_key: YOUR_API_KEY
Accept: */*

No content

Last updated